/*
 * @Descripttion: 
 * @version: 
 * @Author: TT
 * @Date: 2021-12-05 22:04:38
 * @LastEditors: ftt
 * @LastEditTime: 2022-05-18 17:18:12
 */

import 'package:flutter/material.dart';

import '../../ttcomment.dart';

enum ColorEnum {
  coltheme,
  colffffff,
  col010101,
  col7b7b7b,
  col000000,
  colc3c3c3,
  colefedf3,
  col777777,
  col5a5a5a,
  cole9e9e9,
  coldddddd,
  cole5e5e5,
  coldadada,
  colonlywhite,
  colplacetextcolor,
  col666666,
  col999999,
  col4c5679,
}

class ThemeColorConfig {
  static Map<ColorEnum, Color> lightInfo = {
    ColorEnum.coltheme: CommentColorS.col2865ff,
    ColorEnum.colffffff: CommentColorS.colffffff,
    ColorEnum.col7b7b7b: CommentColorS.col7b7b7b,
    ColorEnum.col010101: CommentColorS.col010101,
    ColorEnum.col000000: CommentColorS.col000000,
    ColorEnum.colc3c3c3: CommentColorS.colc3c3c3,
    ColorEnum.colefedf3: CommentColorS.colefedf3,
    ColorEnum.col777777: CommentColorS.col777777,
    ColorEnum.col5a5a5a: CommentColorS.col5a5a5a,
    ColorEnum.cole9e9e9: CommentColorS.cole9e9e9,
    ColorEnum.coldddddd: CommentColorS.coldddddd,
    ColorEnum.cole5e5e5: CommentColorS.cole5e5e5,
    ColorEnum.coldadada: CommentColorS.coldadada,
    ColorEnum.colplacetextcolor: CommentColorS.cola6a6a6,
    ColorEnum.colonlywhite: CommentColorS.colffffff,
    ColorEnum.col666666: CommentColorS.col666666,
    ColorEnum.col999999: CommentColorS.col999999,
    ColorEnum.col4c5679: CommentColorS.col4c5679,
  };
  static Map<ColorEnum, Color> darkInfo = {
    ColorEnum.coltheme: CommentColorS.col2865ff,
    ColorEnum.colffffff: CommentColorS.col212121,
    ColorEnum.col7b7b7b: CommentColorS.col7b7b7b,
    ColorEnum.col010101: CommentColorS.colffffff,
    ColorEnum.col000000: CommentColorS.colffffff,
    ColorEnum.colc3c3c3: CommentColorS.col101010,
    ColorEnum.colefedf3: CommentColorS.col151515,
    ColorEnum.col777777: CommentColorS.col8c8c8f,
    ColorEnum.col5a5a5a: CommentColorS.col717171,
    ColorEnum.cole9e9e9: CommentColorS.col0e0e0e,
    ColorEnum.coldddddd: CommentColorS.col2d2d2d,
    ColorEnum.cole5e5e5: CommentColorS.col191919,
    ColorEnum.coldadada: CommentColorS.coldadada,
    ColorEnum.colplacetextcolor: CommentColorS.col404040,
    ColorEnum.colonlywhite: CommentColorS.colffffff,
    ColorEnum.col666666: CommentColorS.colCACACA,
    ColorEnum.col999999: CommentColorS.col7C7C7C,
    ColorEnum.col4c5679: CommentColorS.col727a94,
  };
  static Color confgColor(ColorEnum colorEnum, {bool reversal = false}) {
    bool isbackmodel = ThemeColorConfig().loadThemeModel();
    if (reversal) {
      isbackmodel = !isbackmodel;
    }
    Map colorinfo = isbackmodel ? darkInfo : lightInfo;
    return colorinfo[colorEnum];
  }

  bool loadThemeModel() {
    return false;
  }
}
